import { otherHttp } from '/@/utils/http/axios'

enum Api {
    zoneList = '/online/cgform/api/getData/01fd687ecb164aea914e92047e144d66', // 功能菜单数据
    agricultureModelsList = '/online/cgform/api/getData/7b2983df6ddf416aba68db8b0ab234ab', // 农业模型数据
    baseManagementList = '/online/cgform/api/getData/e4e4e6c901254b60b1e7a005097999ec', // 基地管理数据
    commonToolsList = '/online/cgform/api/getData/3a7fbb877f304b7d83935caa454859c4', // 常用工具数据
}

/**
 * @param params 请求参数
 * @description: 金刚区菜单数据
 */
export function zoneList(params = {}) {
    return otherHttp.get({
        url: Api.zoneList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 农业模型数据
 */
export function agricultureModelsList(params = {}) {
    return otherHttp.get({
        url: Api.agricultureModelsList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 基地管理数据
 */
export function baseManagementList(params = {}) {
    return otherHttp.get({
        url: Api.baseManagementList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 常用工具数据
 */
export function commonToolsList(params = {}) {
    return otherHttp.get({
        url: Api.commonToolsList,
        params,
    })
}
